function h = errbar(x,y,e,varargin)
% modifies errorbar removing tee with backw compatibility
% to test, uncomment and execute as script
% x =[1:20];
% y=x/4+0.8*rand(size(x));
% e=0.8*ones(size(x));
if verLessThan('matlab','8.4') % before 2014b
%	disp('Ole version')
	h = errorbar(x,y,e,varargin);
%	disp('strike any key')
%	pause
        c = get(h,'child'); 
        xd = get(c(2),'xdata');
	xd(4:9:end) = xd(1:9:end); % tee edges equal center 
        xd(5:9:end) = xd(1:9:end);
        xd(7:9:end) = xd(1:9:end);
        xd(8:9:end) = xd(1:9:end);
	set(c(2),'xdata',xd); % replace tee edges 
else
%        disp('new version')
	h = errorbar(x,y,e,varargin);
%	disp('strike any key')
%	pause
        tee = h.Bar.VertexData(1,:); 
        ltee = length(tee)/3;
        h.Bar.VertexData(1,:) = [tee(1:ltee) tee(1:ltee) tee(1:ltee)]; % tee edges equal center 
end
