function ok=mucanload(nrun)
% OK=MUCANLOAD(NRUN) yields 0 if run file does not exist, 2
% otherwise. nrun is an integer run number
    
    global MU_PATH MU_GEAR MU_DATA
    
    ok=0; 
    if ~isfield(MU_DATA,'NRUN')
        disp('No data loaded yet. First please load data with muload')
        return
    else
        len=length(MU_DATA.ZEROPAD)+length(num2str(MU_DATA.NRUN));
        zero='000000000000000000';
        NRUN=num2str(nrun);
        zeropad=zero(1:len-length(NRUN));
        filename=[MU_PATH.DATA MU_GEAR.FILENAME_PREFIX ...
                      zeropad NRUN '.' ...
                      MU_GEAR.FILENAME_SUFFIX];
        ok=exist(filename);
        if ~ok
            disp(['File ' filename ' does not exist'])
        end
    end